/**
 * Sales Archiving Web Service
 * -----------------------
 *
 * This piece of software is part of the Sales Archiving Web Service example.
 *
 * Simply speaking, the aim of this software is to deploy, on JOnAS 4, a web
 * service to which sales data can be sent. That service would then store all
 * received data in a database using EJB3s.
 *
 *
 * If this software works, it has been written by Savas Ali TOKMEN, who has a
 * web site on the http://ali.tokmen.com/ address. If it doesn't work and
 * you're experiencing problems with it, I don't know who wrote it.
 *
 * Created the 31st of March 2007
 */
package SalesArchivingService;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.ManyToOne;
import javax.persistence.JoinColumn;

/**
 * This class defines a sales data bean, which is the Entity Bean version of a
 * sales data as defined in @see SalesData
 */
@Entity
public class SalesDataBean {
	@Id
	@Column(name="did")
	@GeneratedValue
	private long id;

	private Date date;
	private float price;

	@ManyToOne
	@JoinColumn(name="iid")
	private SalesItemBean item;

	public Date getDate() {
		return this.date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public float getPrice() {
		return this.price;
	}

	public void setPrice(float price) {
		this.price = price;
	}

	public SalesItemBean getItem() {
		return this.item;
	}

	public void setItem(SalesItemBean item) {
		this.item = item;
	}

	public String toString() {
		return ( this.date + ": "+this.price );
	}
}
